package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.model.ResultState;
import com.lightinit.hsdataplatformresdir.model.admin.DataPublishDetailModel;
import com.lightinit.hsdataplatformresdir.model.admin.DataPublishListModel;
import com.lightinit.hsdataplatformresdir.model.admin.DataPublishSearchModel;

import java.util.List;

public interface IDataAuditService {

    List<DataPublishListModel> queryList(DataPublishSearchModel inputModel);

    long queryCount(DataPublishSearchModel inputModel);

    DataPublishDetailModel queryOne(Long id);

    ResultState<Long> audit(Long id, String auditComment, int param, Long userId);
}
